package com.aselimov.NS.controller;

import com.aselimov.NS.model.Notification;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/notifications")
public class NotificationController {

	@PostMapping
	public ResponseEntity<String> createNotification(@RequestBody Notification notification) {
		return ResponseEntity.ok("Notification received: " + notification.getSubject());
	}

	@GetMapping("/health")
	public ResponseEntity<String> healthCheck() {
		return ResponseEntity.ok("Notification service running...");
	}
}
